Skip to main content
GET
/
v1
/
numbers
/
available
Search available numbers
curl --request GET \
  --url https://api.callingbox.io/v1/numbers/available \
  --header 'Authorization: Bearer <token>'
[
  {
    "phone_number": "+14155551234",
    "country_code": "US",
    "number_type": "local",
    "state": "<string>",
    "locality": "<string>",
    "monthly_cost_cents": 100,
    "upfront_cost_cents": 0,
    "currency": "USD"
  }
]

Authorizations

Authorization
string
header
default:sk_live_your_api_key
required

API key starting with sk_

Query Parameters

country_code
string
default:US

ISO country code

area_code
string

Area code to filter by (local numbers only)

number_type
enum<string>

Type of number to search for

Available options:
local,
toll_free
limit
integer

Maximum results to return

Response

Array of available numbers

phone_number
string

Phone number in E.164 format

Example:

"+14155551234"

country_code
string
Example:

"US"

number_type
string
Example:

"local"

state
string | null

US state (for local numbers)

locality
string | null

City or locality

monthly_cost_cents
integer
Example:

100

upfront_cost_cents
integer
Example:

0

currency
string
Example:

"USD"